# class toParamGet | A help class to parse SQL for input/output bindings and if available also pop up a dialog and ask for values. More...
Definition | `#include <toparamget.h>`
Inherits | QDialog (qt) [public ], toHelpContext [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Static Methods

- static toQList getParam (QWidget *parent,QString &str)
- static void setDefault (const QString &name,const QString &val)

## Detailed Description

A help class to parse SQL for input/output bindings and if available also pop up a dialog and ask for values. Also maintains an internal cache of old values.

toQList getParam (QWidget *parent,QString &str) | ### getParam

[static]

Get parameters for specified SQL string.

Parameters:

parent | Parent widget if dialog is needed.
str | SQL to parse for bindings. Observe that this string can be changed to further declare the binds.

Returns: Returns a list of values to feed into the query.

void setDefault (const QString &name,const QString &val) | ### setDefault

[static]

Specify a default value for the cache. This can not overwrite a manually specified value by the user.

Parameters:

name | Name of the bind variable.
val | Value of the bind variable.